# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause              = 0
  AcknowledgeFaceNamed                  = 1
  AcknowledgeFaceUnnamed                = 2
  AcknowledgeObject                     = 3
  AskToBeRightedLeft                    = 4
  AskToBeRightedRight                   = 5
  BlockReact                            = 6
  BuildPyramidFirstBlockOnSide          = 7
  BuildPyramidFirstBlockUpright         = 8
  BuildPyramidLookForFace               = 9
  BuildPyramidReactToBase               = 10
  BuildPyramidSecondBlockOnSide         = 11
  BuildPyramidSecondBlockUpright        = 12
  BuildPyramidSuccess                   = 13
  BuildPyramidThankUser                 = 14
  BuildPyramidThirdBlockOnSide          = 15
  BuildPyramidThirdBlockUpright         = 16
  CantHandleTallStack                   = 17
  PatternGuessNewIdea                   = 18
  PatternGuessThinking                  = 19
  ConnectWakeUp                         = 20
  CozmoSaysGetIn                        = 21
  CozmoSaysGetOut                       = 22
  CozmoSaysSpeakGetInShort              = 23
  CozmoSaysSpeakGetInMedium             = 24
  CozmoSaysSpeakGetInLong               = 25
  CozmoSaysSpeakGetOutShort             = 26
  CozmoSaysSpeakGetOutMedium            = 27
  CozmoSaysSpeakGetOutLong              = 28
  CozmoSaysSpeakLoop                    = 29
  CozmoSaysBadWord                      = 30
  CozmoSaysIdle                         = 31
  CubeMovedSense                        = 32
  CubeMovedUpset                        = 33
  CubePounceFake                        = 34
  CubePounceGetIn                       = 35
  CubePounceGetOut                      = 36
  CubePounceGetReady                    = 37
  CubePounceGetUnready                  = 38
  CubePounceIdleLiftDown                = 39
  CubePounceIdleLiftUp                  = 40
  CubePounceLoseHand                    = 41
  CubePounceLoseRound                   = 42
  CubePounceLoseSession                 = 43
  CubePouncePounceClose                 = 44
  CubePouncePounceNormal                = 45
  CubePounceWinHand                     = 46
  CubePounceWinRound                    = 47
  CubePounceWinSession                  = 48
  DemoSpeedTapCozmoWin                  = 49
  DemoSpeedTapCozmoLose                 = 50
  DriveEndAngry                         = 51
  DriveEndDefault                       = 52
  DriveEndLaunch                        = 53
  DriveLoopAngry                        = 54
  DriveLoopDefault                      = 55
  DriveLoopLaunch                       = 56
  DriveStartAngry                       = 57
  DriveStartDefault                     = 58
  DriveStartLaunch                      = 59
  DroneModeBackwardDrivingEnd           = 60
  DroneModeBackwardDrivingLoop          = 61
  DroneModeBackwardDrivingStart         = 62
  DroneModeCliffEvent                   = 63
  DroneModeForwardDrivingEnd            = 64
  DroneModeForwardDrivingLoop           = 65
  DroneModeForwardDrivingStart          = 66
  DroneModeGetIn                        = 67
  DroneModeGetOut                       = 68
  DroneModeIdle                         = 69
  DroneModeKeepAlive                    = 70
  DroneModeTurboDrivingStart            = 71
  FacePlantRoll                         = 72
  FacePlantRollArmUp                    = 73
  FailedToRightFromFace                 = 74
  FistBumpIdle                          = 75
  FistBumpRequestOnce                   = 76
  FistBumpRequestRetry                  = 77
  FistBumpSuccess                       = 78
  FistBumpLeftHanging                   = 79
  FlipDownFromBack                      = 80
  FrustratedByFailure                   = 81
  FrustratedByFailureMajor              = 82
  GoToSleepGetIn                        = 83
  GoToSleepGetOut                       = 84
  GoToSleepOff                          = 85
  GoToSleepSleeping                     = 86
  HikingDrivingEnd                      = 87
  HikingDrivingLoop                     = 88
  HikingDrivingStart                    = 89
  HikingInterestingEdgeThought          = 90
  HikingIntro                           = 91
  HikingLookAround                      = 92
  HikingObserve                         = 93
  HikingReactToEdge                     = 94
  HikingReactToNewArea                  = 95
  HikingReactToPossibleMarker           = 96
  HikingSquintEnd                       = 97
  HikingSquintLoop                      = 98
  HikingSquintStart                     = 99
  HikingWakeUpOffCharger                = 100
  IdleOnCharger                         = 101
  InteractWithFaceTrackingIdle          = 102
  InteractWithFacesInitialNamed         = 103
  InteractWithFacesInitialUnnamed       = 104
  KnockOverEyes                         = 105
  KnockOverFailure                      = 106
  KnockOverGrabAttempt                  = 107
  KnockOverPreActionNamedFace           = 108
  KnockOverPreActionUnnamedFace         = 109
  KnockOverSuccess                      = 110
  LookInPlaceForFacesBodyPause          = 111
  LookInPlaceForFacesHeadMovePause      = 112
  MajorFail                             = 113
  MajorWin                              = 114
  MeetCozmoGetIn                        = 115
  MeetCozmoLookFaceGetIn                = 116
  MeetCozmoLookFaceGetOut               = 117
  MeetCozmoScanningIdle                 = 118
  MeetCozmoFirstEnrollmentSayName       = 119
  MeetCozmoFirstEnrollmentRepeatName    = 120
  MeetCozmoFirstEnrollmentCelebration   = 121
  MeetCozmoReEnrollmentSayName          = 122
  MeetCozmoRenameFaceSayName            = 123
  MeetCozmoLookFaceInterrupt            = 124
  MemoryMatchPlayerWinHand              = 125
  MemoryMatchPlayerWinHandLong          = 126
  MemoryMatchPlayerWinHandSolo          = 127
  MemoryMatchPlayerLoseHand             = 128
  MemoryMatchPlayerLoseHandSolo         = 129
  MemoryMatchCozmoWinHand               = 130
  MemoryMatchCozmoLoseHand              = 131
  MemoryMatchCozmoWinGame               = 132
  MemoryMatchPlayerWinGame              = 133
  MemoryMatchSoloGameOver               = 134
  MemoryMatchReactToPattern             = 135
  MemoryMatchReactToPatternSolo         = 136
  MemoryMatchPointCenter                = 137
  MemoryMatchPointLeftBig               = 138
  MemoryMatchPointLeftSmall             = 139
  MemoryMatchPointRightBig              = 140
  MemoryMatchPointRightSmall            = 141
  MemoryMatchPointCenterFast            = 142
  MemoryMatchPointLeftBigFast           = 143
  MemoryMatchPointLeftSmallFast         = 144
  MemoryMatchPointRightBigFast          = 145
  MemoryMatchPointRightSmallFast        = 146
  MemoryMatchCozmoGetOut                = 147
  MemoryMatchCozmoFollowTapsSoundOnly   = 148
  NamedFaceInitialGreeting              = 149
  NeutralFace                           = 150
  NothingToDoBoredEvent                 = 151
  NothingToDoBoredIdle                  = 152
  NothingToDoBoredIntro                 = 153
  NothingToDoBoredOutro                 = 154
  OnLearnedPlayerName                   = 155
  OnSawNewNamedFace                     = 156
  OnSawNewUnnamedFace                   = 157
  OnSawOldNamedFace                     = 158
  OnSawOldUnnamedFace                   = 159
  OnSpeedtapCozmoConfirm                = 160
  OnSpeedtapFakeout                     = 161
  OnSpeedtapGameCozmoWinHighIntensity   = 162
  OnSpeedtapGameCozmoWinLowIntensity    = 163
  OnSpeedtapGamePlayerWinHighIntensity  = 164
  OnSpeedtapGamePlayerWinLowIntensity   = 165
  OnSpeedtapGetOut                      = 166
  OnSpeedtapHandCozmoWin                = 167
  OnSpeedtapHandPlayerWin               = 168
  OnSpeedtapIdle                        = 169
  OnSpeedtapRoundCozmoWinHighIntensity  = 170
  OnSpeedtapRoundCozmoWinLowIntensity   = 171
  OnSpeedtapRoundPlayerWinHighIntensity = 172
  OnSpeedtapRoundPlayerWinLowIntensity  = 173
  OnSpeedtapTap                         = 174
  OnWaitForCubesMinigameSetup           = 175
  OnWiggle                              = 176
  OnboardingBirth                       = 177
  OnboardingCubeDockFail                = 178
  OnboardingDiscoverCube                = 179
  OnboardingDriveEnd                    = 180
  OnboardingDriveLoop                   = 181
  OnboardingDriveStart                  = 182
  OnboardingEyesOn                      = 183
  OnboardingHelloPlayer                 = 184
  OnboardingHelloWorld                  = 185
  OnboardingIdle                        = 186
  OnboardingInteractWithCube            = 187
  OnboardingPreBirth                    = 188
  OnboardingReactToCube                 = 189
  OnboardingReactToCubePutDown          = 190
  OnboardingReactToFace                 = 191
  OnboardingSoundOnlyLiftEffortPickup   = 192
  OnboardingSoundOnlyLiftEffortPlaceLow = 193
  OnboardingGetOut                      = 194
  PetDetectionCat                       = 195
  PetDetectionDog                       = 196
  PetDetectionShort                     = 197
  PetDetectionShort_Cat                 = 198
  PetDetectionShort_Dog                 = 199
  PetDetectionSneeze                    = 200
  PlacedOnCharger                       = 201
  PopAWheelieInitial                    = 202
  PopAWheeliePreActionNamedFace         = 203
  PopAWheeliePreActionUnnamedFace       = 204
  PopAWheelieRealign                    = 205
  PopAWheelieRetry                      = 206
  PounceDriveEnd                        = 207
  PounceDriveLoop                       = 208
  PounceDriveStart                      = 209
  PounceFace                            = 210
  PounceFail                            = 211
  PounceGetOut                          = 212
  PounceInitial                         = 213
  PouncePounce                          = 214
  PounceSuccess                         = 215
  ProceduralLive                        = 216
  PutDownBlockKeepAlive                 = 217
  PutDownBlockPutDown                   = 218
  ReactToBlockPickupSuccess             = 219
  ReactToBlockRetryPickup               = 220
  ReactToCliff                          = 221
  ReactToCliffDetectorStop              = 222
  ReactToMotorCalibration               = 223
  ReactToNewBlockAsk                    = 224
  ReactToNewBlockBig                    = 225
  ReactToNewBlockSmall                  = 226
  ReactToOnLeftSide                     = 227
  ReactToOnRightSide                    = 228
  ReactToPickup                         = 229
  ReactToPokeReaction                   = 230
  ReactToPokeStartled                   = 231
  ReactToUnexpectedMovement             = 232
  RequestGameDrivingFail                = 233
  RequestGameKeepAwayAccept0            = 234
  RequestGameKeepAwayAccept1            = 235
  RequestGameKeepAwayDeny0              = 236
  RequestGameKeepAwayDeny1              = 237
  RequestGameKeepAwayIdle0              = 238
  RequestGameKeepAwayIdle1              = 239
  RequestGameKeepAwayInitial0           = 240
  RequestGameKeepAwayInitial1           = 241
  RequestGameKeepAwayPreDrive0          = 242
  RequestGameKeepAwayPreDrive1          = 243
  RequestGameKeepAwayRequest0           = 244
  RequestGameKeepAwayRequest1           = 245
  RequestGameMemoryMatchAccept0         = 246
  RequestGameMemoryMatchAccept1         = 247
  RequestGameMemoryMatchDeny0           = 248
  RequestGameMemoryMatchDeny1           = 249
  RequestGameMemoryMatchIdle0           = 250
  RequestGameMemoryMatchIdle1           = 251
  RequestGameMemoryMatchInitial0        = 252
  RequestGameMemoryMatchInitial1        = 253
  RequestGameMemoryMatchPreDrive0       = 254
  RequestGameMemoryMatchPreDrive1       = 255
  RequestGameMemoryMatchRequest0        = 256
  RequestGameMemoryMatchRequest1        = 257
  RequestGamePickupFail                 = 258
  RequestGameSpeedTapAccept0            = 259
  RequestGameSpeedTapAccept1            = 260
  RequestGameSpeedTapDeny0              = 261
  RequestGameSpeedTapDeny1              = 262
  RequestGameSpeedTapIdle0              = 263
  RequestGameSpeedTapIdle1              = 264
  RequestGameSpeedTapInitial0           = 265
  RequestGameSpeedTapInitial1           = 266
  RequestGameSpeedTapPreDrive0          = 267
  RequestGameSpeedTapPreDrive1          = 268
  RequestGameSpeedTapRequest0           = 269
  RequestGameSpeedTapRequest1           = 270
  RollBlockInitial                      = 271
  RollBlockPreActionNamedFace           = 272
  RollBlockPreActionUnnamedFace         = 273
  RollBlockPutDown                      = 274
  RollBlockRealign                      = 275
  RollBlockRetry                        = 276
  RollBlockSuccess                      = 277
  SdkTextToSpeech                       = 278
  Shiver                                = 279
  Shocked                               = 280
  Sleeping                              = 281
  SoftSparkUpgradeLift                  = 282
  SoftSparkUpgradeTracks                = 283
  SoundOnlyLiftEffortPickup             = 284
  SoundOnlyLiftEffortPlaceHigh          = 285
  SoundOnlyLiftEffortPlaceLow           = 286
  SoundOnlyLiftEffortPlaceRoll          = 287
  SoundOnlyTurnSmall                    = 288
  SparkDrivingLoop                      = 289
  SparkDrivingStart                     = 290
  SparkDrivingStop                      = 291
  SparkFailure                          = 292
  SparkGetIn                            = 293
  SparkGetOut                           = 294
  SparkIdle                             = 295
  SparkPickupFinalCubeReaction          = 296
  SparkPickupInitialCubeReaction        = 297
  SparkSuccess                          = 298
  SpeedTapDrivingEnd                    = 299
  SpeedTapDrivingLoop                   = 300
  SpeedTapDrivingStart                  = 301
  StackBlocksPreActionNamedFace         = 302
  StackBlocksPreActionUnnamedFace       = 303
  StackBlocksRetry                      = 304
  StackBlocksSuccess                    = 305
  StartSleeping                         = 306
  SuccessfulWheelie                     = 307
  Surprise                              = 308
  TurtleRoll                            = 309
  UnitTestAnim                          = 310
  WaitOnSideLoop                        = 311
  WorkoutPickupRealign                  = 312
  WorkoutPickupRetry                    = 313
  WorkoutPostLift_highEnergy            = 314
  WorkoutPostLift_lowEnergy             = 315
  WorkoutPostLift_mediumEnergy          = 316
  WorkoutPreLift_highEnergy             = 317
  WorkoutPreLift_lowEnergy              = 318
  WorkoutPreLift_mediumEnergy           = 319
  WorkoutPutDown_highEnergy             = 320
  WorkoutPutDown_lowEnergy              = 321
  WorkoutPutDown_lowEnergy_simple       = 322
  WorkoutPutDown_mediumEnergy           = 323
  WorkoutStrongLift_highEnergy          = 324
  WorkoutStrongLift_lowEnergy           = 325
  WorkoutStrongLift_mediumEnergy        = 326
  WorkoutTransition_highEnergy          = 327
  WorkoutTransition_lowEnergy           = 328
  WorkoutTransition_mediumEnergy        = 329
  WorkoutWeakLift_highEnergy            = 330
  WorkoutWeakLift_lowEnergy             = 331
  WorkoutWeakLift_mediumEnergy          = 332
  Count                                 = 333

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying             = 0
  Connected            = 1
  CubePouncePlayerLose = 2
  CubePouncePlayerWin  = 3
  DoubleTappedKnown    = 4
  DoubleTappedUnsure   = 5
  DrivingTo            = 6
  Flash                = 7
  Interacting          = 8
  Onboarding           = 9
  PyramidBaseBottom    = 10
  PyramidBaseTop       = 11
  PyramidFlourish      = 12
  PyramidOnSide        = 13
  PyramidPickup        = 14
  PyramidSingle        = 15
  Sleep                = 16
  SpeedTapWin          = 17
  SpeedTapLose         = 18
  Visible              = 19
  WakeUp               = 20
  Workout              = 21
  Count                = 22

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


