# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/objectTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/objectTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class ObjectType(object):
  "Automatically-generated int_32 enumeration."
  Invalid                = -1
  Unknown                = 0
  Block_LIGHTCUBE1       = 1
  Block_LIGHTCUBE2       = 2
  Block_LIGHTCUBE3       = 3
  FlatMat_GEARS_4x4      = 4
  FlatMat_LETTERS_4x4    = 5
  FlatMat_ANKI_LOGO_8BIT = 6
  FlatMat_LAVA_PLAYTEST  = 7
  Platform_LARGE         = 8
  Bridge_LONG            = 9
  Bridge_SHORT           = 10
  Ramp_Basic             = 11
  Charger_Basic          = 12
  ProxObstacle           = 13
  CliffDetection         = 14
  CollisionObstacle      = 15
  CustomType00           = 16
  CustomType01           = 17
  CustomType02           = 18
  CustomType03           = 19
  CustomType04           = 20
  CustomType05           = 21
  CustomType06           = 22
  CustomType07           = 23
  CustomType08           = 24
  CustomType09           = 25
  CustomType10           = 26
  CustomType11           = 27
  CustomType12           = 28
  CustomType13           = 29
  CustomType14           = 30
  CustomType15           = 31
  CustomType16           = 32
  CustomType17           = 33
  CustomType18           = 34
  CustomType19           = 35
  CustomFixedObstacle    = 36

Anki.Cozmo.ObjectType = ObjectType
del ObjectType


